import request from '@/utils/request'

// 查询学校保研记录列表
export function listMallSchoolMasterRecord(query) {
  return request({
    url: '/mall/mallSchoolMasterRecord/list',
    method: 'get',
    params: query
  })
}

// 查询学校保研记录详细
export function getMallSchoolMasterRecord(masterRecordId) {
  return request({
    url: '/mall/mallSchoolMasterRecord/' + masterRecordId,
    method: 'get'
  })
}

// 新增学校保研记录
export function addMallSchoolMasterRecord(data) {
  return request({
    url: '/mall/mallSchoolMasterRecord',
    method: 'post',
    data: data
  })
}

// 修改学校保研记录
export function updateMallSchoolMasterRecord(data) {
  return request({
    url: '/mall/mallSchoolMasterRecord',
    method: 'put',
    data: data
  })
}

// 删除学校保研记录
export function delMallSchoolMasterRecord(masterRecordId) {
  return request({
    url: '/mall/mallSchoolMasterRecord/' + masterRecordId,
    method: 'delete'
  })
}
